1. Settlements
LitPRO API
  • Getting Started
  • Claimants
    • Get Claimants
      GET
    • Create Claimant
      POST
    • Get Claimant
      GET
    • Get Claimant Enrollments
      GET
    • Add Claimant Document
      POST
    • Update an Existing Claimant
      PUT
  • Settlements
    • Get Settlements
      GET
    • Create Settlement
      POST
    • Get Settlement
      GET
    • Update an Existing Settlement
      PUT
  • Liens
    • Get Liens
      GET
    • Get Lien
      GET
  • Projects
    • Get Projects
      GET
  • Invoices
    • Get Invoices
      GET
    • Get Invoice
      GET
  • Schemas
    • Sample Schemas
      • Settlements
      • Claimants
  1. Settlements

Update an Existing Settlement

PUT
/settlements/{id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://portal.litpro.com/api/v1/settlements/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "claimant_id": 0,
    "project_uuid": "string",
    "medicare_payments": 0,
    "medicaid_payments": 0,
    "workers_compensation_payments": 0,
    "other_lien_payments": 0,
    "other_lien_type": "string",
    "private_lien_payments": 0,
    "private_lien_type": "string",
    "is_disbursement_held": -2147483648,
    "defendant": "string",
    "is_pre_1980": -2147483648,
    "funded_on": "2019-08-24",
    "funded_amount": 0,
    "offset_amount": 0,
    "attorney_fee_amount": 0,
    "case_expense_amount": 0,
    "expense_document_url": "string",
    "settlement_on": "2019-08-24"
}'
Response Response Example
{}
Modified at 2026-05-08 18:27:45
Previous
Get Settlement
Next
Get Liens